%define	pre pre6

%define	major 0
%define libname	%mklibname spandsp_dev %{major}

Summary:	Steve's SpanDSP library for telephony spans
Name:		spandsp_dev
Version:	0.0.3
Release:	%mkrel 0.%{pre}.1
License:	GPL
Group:		System/Libraries
URL:		http://www.soft-switch.org/
Source0:	http://www.soft-switch.org/downloads/spandsp/spandsp-%{version}%{pre}/spandsp-%{version}%{pre}.tar.bz2
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	tiff-devel >= 3.6.1-3mdk
BuildRequires:	fltk-devel
BuildRequires:	fftw2-devel
BuildRequires:	audiofile-devel
BuildRequires:	libxml2-devel
BuildRequires:	jpeg-devel
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
spandsp is a library for DSP in telephony spans. It can perform
many of the common DSP functions, such as the generation and
detection of DTMF and supervisory tones.

%package -n	%{libname}
Summary:	Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n	%{libname}
spandsp is a library for DSP in telephony spans. It can perform
many of the common DSP functions, such as the generation and
detection of DTMF and supervisory tones.

%package -n	%{libname}-devel
Summary:	Header files and libraries needed for development with SpanDSP
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
This package includes the header files and libraries needed for
developing programs using SpanDSP.

%prep

%setup -q -n spandsp-%{version}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# hack the libname
perl -pi -e "s|libspandsp\.la|libspandsp_dev\.la|g" src/*.am
perl -pi -e "s|libspandsp_la|libspandsp_dev_la|g" src/*.am

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7

%configure2_5x

%make


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

# hack the headers...
mv %{buildroot}%{_includedir}/spandsp %{buildroot}%{_includedir}/spandsp_dev
mv %{buildroot}%{_includedir}/spandsp.h %{buildroot}%{_includedir}/spandsp_dev.h

pushd %{buildroot}%{_includedir}/spandsp_dev
    for h in *.h; do
	perl -pi -e "s|\<spandsp/${h}\>|\<spandsp_dev/${h}\>|g" *.h
    done
popd
perl -pi -e "s|\<spandsp/|\<spandsp_dev/|g" %{buildroot}%{_includedir}/spandsp_dev.h

# hack the xml...
mv %{buildroot}%{_datadir}/spandsp %{buildroot}%{_datadir}/spandsp_dev

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS ChangeLog DueDiligence NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/spandsp_dev
%{_includedir}/spandsp_dev.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/%{name}/global-tones.xml
%{_datadir}/%{name}/tones.dtd

%changelog
* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.3-0.pre6.1mdk
- 0.0.3pre6 (hacked dev version)

* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1.pre25.1mdk
- 0.0.2pre25

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1.pre21.2mdk
- fix deps

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1.pre21.1mdk
- rebuild

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-0.pre21.1mdk
- 0.0.2pre21
- drop upstream patches

* Fri Sep 02 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-0.pre15.2mdk
- added one gcc4 patch (debian)

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.2-0.pre15.1mdk
- spandsp-0.0.2pre15

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-5mdk
- use the %%mkrel macro
- strip away annoying ^M

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-4mdk
- dotnuke

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-3mdk
- added P2 to make it compile on x86_64 (suse)

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-2mdk
- lib64 fixes (does not yet compile...)

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-1mdk
- initial mandrake package
- used parts from the provided spec file
- added P0
